Name:          solvespace
Version:       3.1
Release:       1mamba
Summary:       A parametric 3d CAD program
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://solvespace.com/index.pl
Source:        https://github.com/solvespace/solvespace.git/v%{version}/solvespace-%{version}.tar.bz2
Patch0:        solvespace-v2.1-GetGitCommitHash.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatkmm1-devel
BuildRequires: libatomic-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libglvnd-devel
BuildRequires: libgtk3-devel
BuildRequires: libgtkmm3-devel
BuildRequires: libjson-c-devel
BuildRequires: libpangomm1-devel
BuildRequires: libpng-devel
BuildRequires: libsigc++2-devel
BuildRequires: libspnav-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A parametric 3d CAD program. Applications include:
modeling 3d parts — draw with extrudes, revolves, and Boolean (union / difference) operations
modeling 2d parts — draw the part as a single section, and export DXF, PDF, SVG; use 3d assembly to verify fit
3d-printed parts — export the STL or other triangle mesh expected by most 3d printers
preparing CAM data — export 2d vector art for a waterjet machine or laser cutter; or generate STEP or STL, for import into third-party CAM software for machining
mechanism design — use the constraint solver to simulate planar or spatial linkages, with pin, ball, or slide joints
plane and solid geometry — replace hand-solved trigonometry and spreadsheets with a live dimensioned drawing

%package -n lib%{name}
Group:		   System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "s|^\(include.GetGitCommitHash.\)|#\1|" CMakeLists.txt
sed -i'' -e's/CHAR_WIDTH/CHAR_WIDTH_/g' src/ui.h src/textwin.cpp src/toolbar.cpp

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/solvespace
%{_bindir}/solvespace-cli
%{_metainfodir}/com.solvespace.SolveSpace.metainfo.xml
%dir %{_datadir}/solvespace
%{_datadir}/solvespace/*
%{_datadir}/applications/solvespace.desktop
%{_datadir}/mime/packages/solvespace-slvs.xml
%{_datadir}/icons/hicolor/*/apps/solvespace.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-solvespace.png
%{_datadir}/icons/hicolor/scalable/apps/solvespace.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-solvespace.svg

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libslvs.so.*
%doc COPYING.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/slvs.h
%{_libdir}/libslvs.so
%doc README.md

%changelog
* Sat Mar 02 2024 Automatic Build System <autodist@openmamba.org> 3.1-1mamba
- automatic version update by autodist

* Sat May 15 2021 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Sat Jul 09 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> v2.1-1mamba
- package created using the webbuild interface
